Department
Departments can be queried using the regular query-endpoint.
All endpoints require ADMIN or DATA_MANAGER scope.
Get department access
Section titled “Get department access”GET /api/department/{departmentId}/access
Request
Path parameters
departmentIdID of department
Response
A list of users and departments and their access type:
[{ "isMember": boolean, "accessType": "Read" | "Write", "userID": string, "user": object}]Add or update access
Section titled “Add or update access”POST /api/department/{departmentId}/access
Add or update access to a department and all associated entities.
Request
Path parameters
departmentIdID of department
Body
{ "accessType": "Read" | "Write", "userID": string, // set userID or accessDepartmentID, not both "accessDepartmentID": string}Remove user access
Section titled “Remove user access”DELETE /api/department/{departmentId}/access/user/{userID}
Remove access for a specific user.
Request
Path parameters
departmentIdID of departmentuserIDID of user to remove
Remove department access
Section titled “Remove department access”DELETE /api/department/{departmentId}/access/department/{accessDepartmentID}
Remove access for a department.
Request
Path parameters
departmentIdID of departmentaccessDepartmentIDID of the access department to remove
Delete department
Section titled “Delete department”DELETE /api/department/{departmentId}
Delete a department.
Request
Path parameters
departmentIdID of department